Bug 277851 - ARPing make only half of pings specified by -c parameter and output no statistics
ARPing make only half of pings specified by -c parameter and output no statis...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iputils (Show other bugs)
7
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Martin Nagy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 02:47 EDT by Peter "Pessoft" Kolínek
Modified: 2016-07-26 19:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 05:29:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter "Pessoft" Kolínek 2007-09-05 02:47:01 EDT
Description of problem:
Hello when i run arping from iputils it makes in special situation only half of 
ping requests and outputs no statistics


Version-Release number of selected component (if applicable):
arping -V : arping utility, iputils-sss20070202
rpm -q -i iputils :
Name        : iputils                      Relocations: (not relocatable)
Version     : 20070202                          Vendor: Red Hat, Inc.
Release     : 3.fc7                         Build Date: Fri Apr  6 13:03:21 2007
Install Date: Tue Jul 31 18:24:01 2007      Build Host: ls20-bc2-
14.build.redhat.com
Group       : System Environment/Daemons    Source RPM: iputils-20070202-
3.fc7.src.rpm
Size        : 266479                           License: BSD
Signature   : DSA/SHA1, Fri May 18 21:35:29 2007, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.skbuff.net/iputils
Summary     : Network monitoring tools including ping
Description :
The iputils package contains basic utilities for monitoring a network,
including ping. The ping command sends a series of ICMP protocol
ECHO_REQUEST packets to a specified network host to discover whether
the target machine is alive and receiving network traffic.

How reproducible:
Simply running arping against 1 host which is up and 1 which is not will show 
you difference

Steps to Reproduce:
1. arping -c 4 <ip-of-host-which-is-up>
  
Actual results:
tcpdump show 2 requests, 2 replies
arping finishes with return value 0 after 2 pings and doesn't print stats


Expected results:
tcpdump show 4 requests, 4 replies
arping finish with return value 0 after 4 pings and print stats


Additional info:
examples:
example 1:
arping -c 4 -i eth1 <existing-and-up-ipaddr>
output 2 replies, nostats, return value 0 ( tcpdump 2 requests, 2 replies )
 
example 2:
arping -c 4 -i eth1 <nonexisting-and-up-ipaddr>
output 0 replies, stats, return value 1 ( tcpdump 4 requests, 0 replies )
 
example 3:
arping -c 10 -i eth0 <problematic-and-up-ipaddr>
output 8 replies, stats, return value 0 ( tcpdump 10 requests, 8 replies )
Comment 1 Martin Nagy 2008-02-26 05:29:26 EST
Thanks for reporting this.
This issue is already fixed in iputils-20071127-1.fc9

Note You need to log in before you can comment on or make changes to this bug.